"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColorUpdater = void 0;
const Utils_1 = require("../Utils");
class ColorUpdater {
    constructor(container) {
        this.container = container;
    }
    isEnabled(particle) {
        const animationOptions = particle.options.color.animation;
        return (!particle.destroyed && !particle.spawning && particle.color.value !== undefined && animationOptions.enable);
    }
    update(particle, delta) {
        var _a;
        const animationOptions = particle.options.color.animation;
        if (!this.isEnabled(particle)) {
            return;
        }
        const offset = Utils_1.NumberUtils.randomInRange(animationOptions.offset.min, animationOptions.offset.max);
        const colorValue = particle.color.value;
        if (!colorValue) {
            return;
        }
        colorValue.h += ((_a = particle.color.velocity) !== null && _a !== void 0 ? _a : 0) * delta.factor + offset * 3.6;
        if (colorValue.h > 360) {
            colorValue.h -= 360;
        }
    }
}
exports.ColorUpdater = ColorUpdater;
