export class OrbitUpdater {
    constructor(container) {
        this.container = container;
    }
    isEnabled(particle) {
        const orbitAnimations = particle.options.orbit.animation;
        return !particle.destroyed && !particle.spawning && orbitAnimations.enable;
    }
    update(particle, delta) {
        const orbitAnimations = particle.options.orbit.animation;
        if (!this.isEnabled(particle)) {
            return;
        }
        particle.orbitRotation += orbitAnimations.speed * delta.factor;
    }
}
